/* ====================================================================
 * Copyright (c) 2003-2006, 2008 Martin Hauner
 *                               http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_TEXTEDIT_H
#define _SC_TEXTEDIT_H

// sc

// qt
#include <QtGui/QTextEdit>



class TextEdit : public QTextEdit 
{
  typedef QTextEdit super;
  Q_OBJECT 

public:
  TextEdit( QWidget* parent=0, const char* name=0 );
  virtual ~TextEdit();

  bool eventFilter( QObject* obj, QEvent* ev );

public slots:

signals:
  void cursorChanged( int x, int y );

private:
};

#endif // _SC_TEXTEDIT_H
